;;; This file is part of guile-with-graphics, a graphic library for Guile

;;; Copyright (C) 2009  Luca Saiu

;;; This program is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.

;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(initialize-graphics "Blocks demo" 800 600)

(load "color.scm") ;; this must be loaded *after* graphics is initialized
(load "utility.scm")
(load "graphics.scm")
(load "interactive.scm")

(define (demo)
  (let ((x0 (random-from-to -10 (+ (window-width) 10)))
        (y0 (random-from-to -10 (+ (window-height) 10)))
        (width (random-from-to 10 (/ (window-width) 2)))
        (height (random-from-to 10 (/ (window-height) 2)))
        (color (random-color)))
    (handle-quit-event-only)
    (lock)
    (draw-block x0 y0 width height color)
    (unlock)
    (refresh-rectangle x0 y0 width height)
    (demo)))

(clear black)
(refresh)
(demo)
