;;; This file is part of guile-with-graphics, a graphic library for Guile

;;; Copyright (C) 2009  Luca Saiu

;;; This program is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.

;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(initialize-graphics "Block grid demo" 800 600)

(load "color.scm") ;; this must be loaded *after* graphics is initialized
(load "utility.scm")
(load "graphics.scm")
(load "interactive.scm")

(define (demo)
  (let* ((block-width 60)
         (block-height 20)
         (width (window-width))
         (height (window-height)))
    (handle-quit-event-only)
    (for x 0 (/ width block-width)
         (for y 0 (/ height block-height)
              (lock)
              (draw-block (* x block-width) (* y block-height)
                          (- block-width 4) (- block-height 4)
                          ;;(dark (dark red))
                          (random-color)
                          3)
              (unlock)))
    (refresh)
    (demo)))

(clear black)
(refresh)
(demo)
