;;; This file is part of guile-with-graphics, a graphic library for Guile

;;; Copyright (C) 2009  Luca Saiu

;;; This program is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.

;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(initialize-graphics "Line demo" 800 600)

(load "color.scm") ;; this must be loaded *after* graphics is initialized
(load "utility.scm")
(load "graphics.scm")
(load "interactive.scm")

(define (demo)
  (let ((x1 (random (window-width)))
        (y1 (random (window-height)))
        (x2 (random (window-width)))
        (y2 (random (window-height)))
        (color (random-color)))
    (handle-quit-event-only)
    (lock)
    (draw-line x1 y1 x2 y2 color)
    (unlock)
    (refresh-rectangle x1 y1 (- x2 x1) (- y2 y1))
    (demo)))

(clear black)
(refresh)
(demo)
